*{
    margin:0;
   
}
/* .body{
    color:white;

} */
.navbar{
    width:100%;
    height: 50px;
    background-color: black;
/* color:pink; */
/* color:white; */
}
.sidebar{
    width:50px;
    height: 100%;
    background-color: black;
    position: fixed;
    top:0;
    display:flex;

    flex-direction: column;
    align-items:center;
   
    padding-top: 70px;
    color: purple !important;;

}
.nav-container{
    display:flex;
    align-items: center;
    background-color:black;
    padding: 0 50px;
    height: 100%;
    color: white;
    font-family:sans-serif ;
    /* border:4px solid red */
}
.logo-con{
    flex:1;
    /* color: orange; */
    /* background-color: red; */
    /* font-family: sans-serif; */
    
}
.menu-con{
    flex:6;
    /* background-color:pink ; */
}
.profile-con{
    flex:2;
    display: flex;
    align-items: center;
    justify-content: flex-end;

    /* background-color:skyblue; */
}
.menu-list{
    display:flex;
    /* color:purple; */
    list-style:none;
}
.menu-list-item{
    margin-right: 30px;

}
.menu-list-item.active{
    font-weight: bold;
}
.profile{
    width: 32px;
    height: 32px;
    border-radius: 50%;
    /* object-fit:cover; */
    margin-top: 10px;
}

.profile-text-con{
    margin:0px 20px;


}
.toggle{
    height: 20px;
    width: 45px;
   background-color:white;
   border-radius: 30px;
   position: relative;
   justify-content: space-around;
   align-items: center;
   display: flex;


}
.toggle-icon{
    color: goldenrod;
    

}
.toggle-ball{
    width: 18px;
    height: 18px;
    background-color: black;
    position: absolute;
    top:1px;
    right:1px;
    border-radius: 10px;
    transition: 1s ease all;

}
.left-icon{
    color:white;
    font-size: 20px;
    margin-bottom: 60px;;

}
.container{
    background-color:rgb(24, 18, 18);
    min-height: calc(100vh - 50px);
    color:white;
}
.content-con{

    margin-left:50px;
    color:white;
}
.featured-con{
    height: 50vh;
    background-color:green;
}
.featured-title{
    width: 200px;
}
.featured-con{
    padding:40px;
}

.feature-des{
    width:500px;
    /* color:aqua; */
    margin: 30px 0;
}
.featured-button{
    /* margin:  8px 0; */
    padding: 8px 20px;
    border-radius: 20px;
    /* outline:none; */
    border:none;
    font-weight:bold;
    color:black;
}

.heading{
    margin-bottom: 10px;


}


.movie-list-container{
    padding:20px;
}

.one{
    transition: all 1s ease-in-out;
    width:310px;
  height: 200px;
    margin:20px;
    border-radius: 20px;
    
}
.movie-list{
    display:flex;
    align-items: center;
    height:300px;
    transform:translateX(0);
    transition: 1s ease-in-out;
}
.movie-list-item{
    margin-right: 0px;
    position: relative;
}
.movie-list-item:hover .one{
    transform: scale(1.2);
    opacity: 0.5;
}
.movie-title{
    background-color: rgb(76, 72, 72);
    padding : 0 4px;
    font-weight: bold;
    font-size:24px;
    position:absolute;
    opacity: 0;
    top:10%;
    left:50px;
    transition: 1s all ease-in-out;

}
.movie-des{
    background-color: rgb(76, 72, 72);
    padding : 6px;
    font-weight: bold;
    font-size:14px;
    position:absolute;
    opacity: 0;
    top:30%;
    left:50px;
    width: 200px;
    transition: 1s all ease-in-out;
}
.movie-button{
    position: absolute;
    top:60%;
    left:50px;
    /* bottom:20px; */
    opacity: 0;
    transition: 1s all ease-in-out;



}
.movie-list-item:hover .movie-title,
.movie-list-item:hover .movie-des,
.movie-list-item:hover .movie-button{
    opacity: 1;
    cursor:pointer;


}
.wrapper{
    position: relative;
    overflow:hidden;
}
.arrow{
    font-size: 150px;
    position: absolute;
    top:90px;
    right: 0;
    color:gray;
    opacity: 0.4;
    cursor:pointer;
}
 .container.active{
    background-color: white;
}
/* .heading.active{
    color:black ;
} */



.nav-container.active{
    color:black;

     background-color: white;


} 

.sidebar.active{
    background-color: white;
   
}
.left-icon.active{
    color:black;
}
.toggle.active{
    background-color: black;
}
.toggle-ball.active{
    background-color:white;
    transform: translateX(-25px);
}
.toggle-icons{
    color:goldenrod;
}
@media only screen and (max-width:940px)
{
    .menu-con{
        display: none;
    }
}
